# H501_MessageCommonInfo Class Reference

`#include <h501.h>`

Inheritance diagram for H501_MessageCommonInfo:

List of all members.

## Public Types

enum | OptionalFields { e_replyAddress, e_integrityCheckValue, e_tokens, e_cryptoTokens, e_nonStandard, e_serviceID, e_genericData, e_featureSet, e_version }

## Public Member Functions

| H501_MessageCommonInfo (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_sequenceNumber
H501_ProtocolVersion | m_annexGversion
PASN_Integer | m_hopCount
H501_ArrayOf_TransportAddress | m_replyAddress
H225_ICV | m_integrityCheckValue
H501_ArrayOf_ClearToken | m_tokens
H501_ArrayOf_CryptoH323Token | m_cryptoTokens
H501_ArrayOf_NonStandardParameter | m_nonStandard
H225_GloballyUniqueID | m_serviceID
H501_ArrayOf_GenericData | m_genericData
H225_FeatureSet | m_featureSet
H501_ProtocolVersion | m_version

## Member Enumeration Documentation

enum H501_MessageCommonInfo::OptionalFields

Enumerator:

  e_replyAddress |
  e_integrityCheckValue |
  e_tokens |
  e_cryptoTokens |
  e_nonStandard |
  e_serviceID |
  e_genericData |
  e_featureSet |
  e_version |

## Constructor & Destructor Documentation

H501_MessageCommonInfo::H501_MessageCommonInfo | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H501_MessageCommonInfo::GetDataLength | ( |  | ) | const

PBoolean H501_MessageCommonInfo::Decode | ( | PASN_Stream & | strm | ) |

void H501_MessageCommonInfo::Encode | ( | PASN_Stream & | strm | ) | const

void H501_MessageCommonInfo::PrintOn | ( | ostream & | strm | ) | const

Comparison H501_MessageCommonInfo::Compare | ( | const PObject & | obj | ) | const

PObject* H501_MessageCommonInfo::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H501_MessageCommonInfo::m_sequenceNumber

H501_ProtocolVersion H501_MessageCommonInfo::m_annexGversion

PASN_Integer H501_MessageCommonInfo::m_hopCount

H501_ArrayOf_TransportAddress H501_MessageCommonInfo::m_replyAddress

H225_ICV H501_MessageCommonInfo::m_integrityCheckValue

H501_ArrayOf_ClearToken H501_MessageCommonInfo::m_tokens

H501_ArrayOf_CryptoH323Token H501_MessageCommonInfo::m_cryptoTokens

H501_ArrayOf_NonStandardParameter H501_MessageCommonInfo::m_nonStandard

H225_GloballyUniqueID H501_MessageCommonInfo::m_serviceID

H501_ArrayOf_GenericData H501_MessageCommonInfo::m_genericData

H225_FeatureSet H501_MessageCommonInfo::m_featureSet

H501_ProtocolVersion H501_MessageCommonInfo::m_version

The documentation for this class was generated from the following file:

- h501.h